Package org.eclipse.mat.report.internal

# Class ResultRenderer

java.lang.Object
org.eclipse.mat.report.internal.ResultRenderer

public class ResultRenderer extends Object

## Constructor Summary

Constructors
Constructor
Description
`ResultRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`beginSection(SectionPart section)`
`void`
`beginSuite(TestSuite suite, AbstractPart part)`
`void`
`endSection(SectionPart section)`
`void`
`endSuite(AbstractPart part)`
`TestSuite`
`getSuite()`
`void`
`process(QueryPart test, IResult result, org.eclipse.mat.report.internal.RenderingInfo rInfo)`
`void`
`processLink(LinkedPart linkedPart)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResultRenderer

public ResultRenderer()

## Method Details

### getSuite

public TestSuite getSuite()

### beginSuite

public void beginSuite(TestSuite suite, AbstractPart part) throws IOException

Throws:
  `IOException`

### endSuite

public void endSuite(AbstractPart part) throws IOException

Throws:
  `IOException`

### beginSection

public void beginSection(SectionPart section) throws IOException

Throws:
  `IOException`

### endSection

public void endSection(SectionPart section)

### process

public void process(QueryPart test, IResult result, org.eclipse.mat.report.internal.RenderingInfo rInfo) throws IOException

Throws:
  `IOException`

### processLink

public void processLink(LinkedPart linkedPart)